# Class SolanaWormholeCore<N, C>

#### Type Parameters

- #### N extends Network

- #### C extends SolanaChains

#### Hierarchy

- SolanaWormholeCore

#### Implements

- WormholeCore<N, SolanaPlatformType, C>

- Defined in core.ts:46

#####
Index

### Constructors

constructor

### Properties

address
bridgeData?
chain
chainId
connection
contracts
coreBridge
network

### Methods

createUnsignedTx
getMessageFee
parseTransaction
postVaa
publishMessage
verifyMessage
fromRpc
parseSequenceFromLog

## Constructors

### constructor

- new SolanaWormholeCore<N, C>(network, chain, connection, contracts): SolanaWormholeCore<N, C>

- #### Type Parameters

  - #### N extends "Mainnet" | "Testnet" | "Devnet"

  - #### C extends "Solana" | "Pythnet"

  #### Parameters

  - ##### network: N

  - ##### chain: C

  - ##### connection: Connection

  - ##### contracts: Contracts

  #### Returns SolanaWormholeCore<N, C>

  - Defined in core.ts:54

## Properties

### `Readonly` address

address: string

- Defined in core.ts:51

### `Protected` `Optional` bridgeData

bridgeData?: BridgeData

- Defined in core.ts:52

### `Readonly` chain

chain: C

- Defined in core.ts:56

### `Readonly` chainId

chainId: 2 | 1 | 3 | 8 | 5 | 6 | 4 | 22 | 7 | 9 | 10 | 11 | 12 | 13 | 14 | 15 | 16 | 17 | 18 | 19 | 20 | 21 | 23 | 24 | 25 | 26 | 28 | 29 | 30 | 32 | 33 | 3104 | 4000 | 4001 | 4002 | 10002 | 10003 | 10004 | 10005 | 10006

- Defined in core.ts:49

### `Readonly` connection

connection: Connection

- Defined in core.ts:57

### `Readonly` contracts

contracts: Contracts

- Defined in core.ts:58

### `Readonly` coreBridge

coreBridge: Program<Wormhole>

- Defined in core.ts:50

### `Readonly` network

network: N

- Defined in core.ts:55

## Methods

### `Private` createUnsignedTx

- createUnsignedTx(txReq, description, parallelizable?): SolanaUnsignedTransaction<N, C>

- #### Parameters

  - ##### txReq: SolanaTransaction

  - ##### description: string

  - ##### parallelizable: boolean = false

  #### Returns SolanaUnsignedTransaction<N, C>

  - Defined in core.ts:327

### getMessageFee

- getMessageFee(): Promise<bigint>

- #### Returns Promise<bigint>

  Implementation of WormholeCore.getMessageFee

  - Defined in core.ts:95

### parseTransaction

- parseTransaction(txid): Promise<WormholeMessageId[]>

- #### Parameters

  - ##### txid: string

  #### Returns Promise<WormholeMessageId[]>

  Implementation of WormholeCore.parseTransaction

  - Defined in core.ts:225

### postVaa

- postVaa(sender, vaa): AsyncGenerator<SolanaUnsignedTransaction<N, C>, void, unknown>

- #### Parameters

  - ##### sender: AnySolanaAddress

  - ##### vaa: VAA<PayloadLiteral>

  #### Returns AsyncGenerator<SolanaUnsignedTransaction<N, C>, void, unknown>

  - Defined in core.ts:144

### publishMessage

- publishMessage(sender, message, nonce, consistencyLevel): AsyncGenerator<SolanaUnsignedTransaction<N, C>, void, unknown>

- #### Parameters

  - ##### sender: AnySolanaAddress

  - ##### message: Uint8Array

  - ##### nonce: number

  - ##### consistencyLevel: number

  #### Returns AsyncGenerator<SolanaUnsignedTransaction<N, C>, void, unknown>

  Implementation of WormholeCore.publishMessage

  - Defined in core.ts:106

### verifyMessage

- verifyMessage(sender, vaa): AsyncGenerator<SolanaUnsignedTransaction<N, C>, void, unknown>

- #### Parameters

  - ##### sender: AnySolanaAddress

  - ##### vaa: VAA<PayloadLiteral>

  #### Returns AsyncGenerator<SolanaUnsignedTransaction<N, C>, void, unknown>

  Implementation of WormholeCore.verifyMessage

  - Defined in core.ts:140

### `Static` fromRpc

- fromRpc<N>(connection, config): Promise<SolanaWormholeCore<N, "Solana" | "Pythnet">>

- #### Type Parameters

  - #### N extends "Mainnet" | "Testnet" | "Devnet"

  #### Parameters

  - ##### connection: Connection

  - ##### config: ChainsConfig<N, "Solana" | "Algorand" | "Near" | "Sui" | "Aptos" | "Btc" | "Evm" | "Cosmwasm">

  #### Returns Promise<SolanaWormholeCore<N, "Solana" | "Pythnet">>

  - Defined in core.ts:76

### `Static` parseSequenceFromLog

- parseSequenceFromLog(coreBridgeAddress, transaction): [UniversalAddress, bigint]

- #### Parameters

  - ##### coreBridgeAddress: string

  - ##### transaction: TransactionResponse | VersionedTransactionResponse

  #### Returns [UniversalAddress, bigint]

  - Defined in core.ts:194

Generated using TypeDoc